Subject: Re: linux-next: build failure after merge of the leds-lj tree

From: Christian Marangi <[email-masked]>
Date: Fri, 12 Jul 2024 09:48:41 +0200

On Fri, Jul 12, 2024 at 08:31:39AM +0100, Lee Jones wrote:
> Christian,
> 
> > Hi all,
> > 
> > After merging the leds-lj tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > In file included from drivers/leds/leds-lp5569.c:11:
> > drivers/leds/leds-lp5569.c: In function 'lp5569_post_init_device':
> > drivers/leds/leds-lp5569.c:204:52: error: passing argument 3 of 'lp55xx_read' from incompatible pointer type [-Werror=incompatible-pointer-types]
> >   204 |                           chip, LP5569_REG_STATUS, &val);
> >       |                                                    ^~~~
> >       |                                                    |
> >       |                                                    int *
> 
> The only reason for applying this set this late in the cycle was that
> they appeared to be fixes for other brokenness.
> 
> This is the second set that you've submitted in recent days that has
> caused build breakages.  Something is wrong with your current
> development practices.  Are you able to identify and rectify these
> issue(s) before a lose trust in your submissions?
>

Yes, I identified the problem and the config was silently getting
disabled and hiding all the errors/warning. Driver also was tested on
OpenWrt build system where the option WERROR wasn't enabled as I was
devloping other stuff so this added on top of it of not noticing stuff.

I promise this won't ever happen again. Also I sent v2 for this hoping
things can get reverted and the correct series can be applied. If not I
can quickly send a followup that fix this. I verified with the repro
that the warning/error gets solved. (it's just channging the int to u8)

-- 
	Ansuel